/*
   AssocArrayExample.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2007. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 21
   Example of the use of an Associative Array
*/

aCities = new AssocArray()
aCities["San Francisco"] = "4,000,000"
aCities["Los Angeles"]   = "10,000,000"
aCities["New York"]      = "25,000,000"
aCities["Miami"]         = "8,000,000"
aCities["Sydney"]        = "1,000,000"

cKey = aCities.firstKey
for i = 1 to aCities.count() // number of elements
    ? cKey + " - " + aCities[ cKey ] 
    cKey = aCities.nextKey( cKey )
next