/*
   MyButtons.cc
   A sample dBL custom class from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2005-2007. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 5 
   A custom class hierarchy designed to show inheritence ...
*/

class MyBasePB( oParent ) of Pushbutton( oParent )
   this.height = 1.5
   this.width = 20
   this.fontName = "Times New Roman"
   this.fontBold = true
   this.onClick = class::MyBase_Click

   function MyBase_Click
      msgbox( "This is "+this.className+"!" )
   return
endclass

class MyPB1( oParent ) of MyBasePB( oParent )
   this.text = "Pushbutton 1" 
   this.onClick = super::MyBase_Click
endclass

class MyPB2( oParent ) of MyBasePB( oParent )
   this.text = "Pushbutton 2" 
   this.onClick = class::PB2_Click

   function PB2_Click
      msgbox( "This is MyPB2" )
   return
endclass