/*
   GetDatabaseInfo.prg
   A sample dBL program from 
   The dBASE Book
   by Kenneth J. Mayer. 
   Program copyright 2012. 
   Permission granted for use as a learning tool for dBASE Plus.

   Sample from: Chapter 25
   This small program shows how to use the code from qBDEMgr.cc
   provided by dBASE to show information about a specific
   BDE Alias. In this example I am using DBASESAMPLES.
*/

clear
set procedure to :NonVisual:qBDEMgr.cc
// create an instance of the qBDEManager class:
oBDE = new qBDEManager()
// obtain the description of a BDE Alias:
oDBDesc = oBDE.GetAliasDesc("dBASESAMPLES")
? "Name: "+oDBDesc.szName()    // BDE Alias Name
? "Desc: "+oDBDesc.szText()    // returns any description of the database
? "Path: "+oDBDesc.szPhyName() // returns the Path assigned to the BDE Alias
? "Type: "+oDBDesc.szDBType()  // returns "STANDARD" or SQL Link Driver 
                               // Name, or ODBC Driver Name

// cleanup
release object oBDE
oBDE := null

